> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rlhf Policy



## OpenAPI

````yaml /openapi.json get /v1/rlhf/experiments/{experiment_id}/policy
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/rlhf/experiments/{experiment_id}/policy:
    get:
      tags:
        - RLHF
      summary: Get Rlhf Policy
      operationId: get_rlhf_policy_v1_rlhf_experiments__experiment_id__policy_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RlhfPolicy'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    RlhfPolicy:
      additionalProperties: false
      properties:
        budget_cap_credits:
          anyOf:
            - minimum: 0
              type: integer
            - type: 'null'
          title: Budget Cap Credits
        collection_mode:
          default: pairwise
          enum:
            - pairwise
            - numeric
            - multi_axis
          title: Collection Mode
          type: string
        participant_notes:
          anyOf:
            - maxLength: 4000
              type: string
            - type: 'null'
          title: Participant Notes
        queue:
          $ref: '#/components/schemas/RlhfQueuePolicy'
        round:
          $ref: '#/components/schemas/RlhfRoundPolicy'
        version:
          const: 1
          default: 1
          title: Version
          type: integer
      title: RlhfPolicy
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RlhfQueuePolicy:
      additionalProperties: false
      properties:
        max_concurrent_assignments:
          default: 1
          maximum: 1000
          minimum: 1
          title: Max Concurrent Assignments
          type: integer
        strategy:
          default: balanced
          enum:
            - balanced
            - uncertainty
            - manual
          title: Strategy
          type: string
      title: RlhfQueuePolicy
      type: object
    RlhfRoundPolicy:
      additionalProperties: false
      properties:
        max_rounds:
          anyOf:
            - maximum: 10000
              minimum: 1
              type: integer
            - type: 'null'
          title: Max Rounds
        min_decisive_pairs_per_axis:
          default: 50
          maximum: 1000000
          minimum: 1
          title: Min Decisive Pairs Per Axis
          type: integer
      title: RlhfRoundPolicy
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````